## xmlrpc-c 1.06.25-2irreco1

=== debian/changelog ===
xmlrpc-c (1.06.25-2irreco1) unstable; urgency=low

  * Based on 1.06.25-2 from Debian.
  * Linked against libwww because curl is too old in Maemo.
  * Linked against libxml2 instead of built-in expat.

 -- Arto Karppinen <arto.karppinen@iki.fi>  Fri, 11 Apr 2008 11:05:23 +0300

xmlrpc-c (1.06.25-2) unstable; urgency=low

  * disable building of libwww client, removing all dependencies on the
    libwww packages, as they are buggy and will be removed from debian.
    thanks to Regis Boudin for the patch (closes: #458775).
  * start build-depending on (and using) quilt for add-on patch management.
  * new patch: old-libtool, fixing FTBFS on kfreebsd-gnu.  thanks to 
    Petr Salinger (closes: #466054).

 -- Sean Finney <seanius@debian.org>  Thu, 20 Mar 2008 08:35:02 +0100

xmlrpc-c (1.06.25-1) unstable; urgency=low

  * New Upstream Version
  * Bump Standards-Version to 3.7.3
  * debian/rules cleanup, add autotools-dev to build-deps.

 -- Sean Finney <seanius@debian.org>  Thu, 13 Mar 2008 23:56:29 +0100

xmlrpc-c (1.06.21-3) unstable; urgency=low

  * re-upload due to ftp-master outage.
  * change build-deps for curl to libcurl4-openssl-dev | libcurl3-openssl-dev, 
    to facilitate easier backporting to etch.

 -- Sean Finney <seanius@debian.org>  Mon, 28 Jan 2008 21:57:45 +0100

xmlrpc-c (1.06.21-1) unstable; urgency=low

  * new upstream release
  * Wasn't building with curl support, needed to add libcurl4-openssl-dev
    to the list of build-dependencies.  Thanks to Bas van Sisseren for 
    catching this (closes: #309954).

 -- Sean Finney <seanius@debian.org>  Sat, 03 Nov 2007 18:46:58 +0100

xmlrpc-c (1.06.17-0ubuntu4) gutsy; urgency=low

  * libxmlrpc-c3-dev: 
    -> Fix header file transition link: the legacy name for
      /usr/include/xmlrpc-c/server_abyss.h is xmlrpc_abyss.h, not
      xmlrpc_server_abyss.h (LP: #134529).
    -> Ship xmlrpc and its documentation (LP: #134985).

 -- Jeremie Corbier <jcorbier@ubuntu.com>  Mon, 27 Aug 2007 15:44:57 -0700

xmlrpc-c (1.06.17-0ubuntu3) gutsy; urgency=low

  * The WTF release.
  * Properly install files, including manpages (LP: #133766).

 -- Jeremie Corbier <jcorbier@ubuntu.com>  Tue, 21 Aug 2007 13:51:25 -0700

xmlrpc-c (1.06.17-0ubuntu2) gutsy; urgency=low

  * debian/rules: Add $(MAKE) CADD=-fPIC for AMD64 FTBFS

 -- Barry deFreese <bddebian@comcast.net>  Mon, 13 Aug 2007 10:49:33 -0400

xmlrpc-c (1.06.17-0ubuntu1) gutsy; urgency=low

  * New upstream version.  (LP: #61682)
  * debian/control
    - Updated Maintainer value to match Debian-Maintainer-Field Spec.
    - Changed ${Source-Version} to ${binary:Version} (safely binNMUable).
    - Fixed typo (description-synopsis-might-not-be-phrased-properly).
  * Use of debian/compat instead of DH_COMPAT.
    - debian/compat: Updated.
    - debian/rules: Removed 'export DH_COMPAT=3'
  * debian/rules
    - Updated to work with new upstream version.
  * debian/libxmlrpc-c3-dev.docs
    - Updated documentation available.

 -- Miguel Ruiz <mruiz@ubuntu.com>  Sun, 12 Aug 2007 19:17:06 -0400

xmlrpc-c (0.9.10-4) unstable; urgency=low

  * Fixed timestamps on build files (closes: Bug#229456)

 -- Chris Leishman <masklin@debian.org>  Wed, 17 Mar 2004 21:50:18 +1100

xmlrpc-c (0.9.10-3) unstable; urgency=low

  * Updated libtool (closes: Bug#201940)

 -- Chris Leishman <masklin@debian.org>  Mon,  8 Dec 2003 16:47:30 +1100

xmlrpc-c (0.9.10-2) unstable; urgency=low

  * g++ 3.2 compatability fixes (closes: Bug#177741)

 -- Chris Leishman <masklin@debian.org>  Fri, 4 Mar 2003 11:37:12 +0300

xmlrpc-c (0.9.10-1) unstable; urgency=low

  * Upstream version 0.9.10
  * Updated config.sub and config.guess (closes: Bug#166820)

 -- Chris Leishman <masklin@debian.org>  Fri, 17 Jan 2003 01:01:22 +0300

xmlrpc-c (0.9.9-5) unstable; urgency=low

  * Added conflict against libxmlrpc-c0 (closes: Bug#155050)
  * Installed overview.txt into /usr/share/doc (closes: Bug#153223)

 -- Chris Leishman <masklin@debian.org>  Mon, 5 Aug 2002 14:51:22 +0300

xmlrpc-c (0.9.9-4) unstable; urgency=low

  * Changed package names to libxmlrpc-c3(-dev) (closes: Bug#147739)
  * Added depend on libwww-dev to libxmlrpc-c0-dev (closes: Bug#147353)

 -- Chris Leishman <masklin@debian.org>  Thu, 30 May 2002 10:24:31 +1000

xmlrpc-c (0.9.9-3) unstable; urgency=low

  * Updates for gcc-3.0 compatability (closes: Bug#111392)
  * Updated config.guess & friends.

 -- Chris Leishman <masklin@debian.org>  Tue, 25 Sep 2001 02:01:31 -0700

xmlrpc-c (0.9.9-2) unstable; urgency=low

  * Fixed some issues in xmlrpc.h

 -- Chris Leishman <masklin@debian.org>  Wed, 29 Aug 2001 09:57:52 -0700

xmlrpc-c (0.9.9-1) unstable; urgency=low

  * Initial release.

 -- Chris Leishman <masklin@debian.org>  Thu, 16 Aug 2001 13:50:52 +1000

Local variables:
mode: debian-changelog
End:
